SoSFFloat(3IV)

NAME
SoSFFloat — field containing a floating-point value

INHERITS FROM
SoField > SoSField > SoSFFloat

SYNOPSIS
#include <Inventor/fields/SoSFFloat.h>

Methods from class SoSFFloat:

static SoType
getClassTypeId()
virtual void
getTypeId() const
float
getValue() const
float
operator =(float newValue)
void
setValue(float newValue)
int
operator ==(const SoSFFloat &f) const
int
operator !=(const SoSFFloat &f) const

Methods from class SoField:

void
setIgnored(SbBool ignore)
SbBool
isIgnored() const
SbBool
isDefault() const
virtual SbBool
isOfType(SoType type) const
SbBool
set(const char *valueString)
void
get(SbString &valueString)
void
touch()
SbBool
connectFrom(SoField *fromField)
SbBool
connectFrom(SoEngineOutput *fromEngine)
void
disconnect()
SbBool
isConnected() const
SbBool
isConnectedFromField() const
SbBool
getConnectedField(SoField *&writingField) const
SbBool
isConnectedFromEngine() const
SbBool
getConnectedEngine(SoEngineOutput *&engineOutput) const
void
enableConnection(SbBool flag)
SbBool
isConnectionEnabled() const
int
getForwardConnections(SoFieldList &list) const
SoFieldContainer *
getContainer() const

DESCRIPTION
A field that contains one single-precision floating point number.

SoSFFloats are written to file in standard scientific notation.

METHODS
static SoType
getClassTypeId()
virtual void
getTypeId() const
Returns the type for this class or a particular object of this class.

float
getValue() const
Returns this field's value.

float
operator =(float newValue)
void
setValue(float newValue)
Sets this field to newValue.

int
operator ==(const SoSFFloat &f) const
int
operator !=(const SoSFFloat &f) const
Returns TRUE if f is of the same type and has the same value as this field.

SEE ALSO
SoField, SoSField, SoMFFloat